Subject: Re: Domen's MPC5200 FEC cleanup patch.

From: Jeff Mock <[email-masked]>
Date: Sun, 16 Sep 2007 11:42:00 -0700

Jon Smirl wrote:
> On 9/16/07, Jon Smirl <[email-masked]> wrote:
>> Another problem...
>>
>> Ifconfig eth0 down
>>
>> hangs the system.
>> I'll try debugging it.
> 
> The hang is something to do with lockd in NFS, it doesn't appear to
> have anything to do with fec. I think I need to build more of NFS into
> my kernel.
> 

I think the NFS hang has something to do with not having a copy of 
portmap running.  I've had this happen with other embedded systems, and 
can usually work around it by using the "-o nolock" option when doing 
the NFS mount.

jeff